%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-aodh
Version:        10.4.1
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Aodh
License:        ASL 2.0

URL:            https://launchpad.net/puppet-aodh

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=+1
Patch0001: 0001-ocata-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0002: 0002-Switch-to-Zuul-v3-testing.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Aodh

%prep
%setup -q -n openstack-aodh-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/aodh/



%files
%{_datadir}/openstack-puppet/modules/aodh/


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.4.1-3
- Switch to Zuul v3 testing

* Thu Nov 09 2017 shrjoshi <shrjoshi@redhat.com> 10.4.1-2
- Update patches

* Tue Jun 27 2017 Jason Joyce <jjoyce@redhat.com> 10.4.1-1
- Update to 10.4.1

* Mon Mar 13 2017 Alfredo Moralejo <amoralej@redhat.com> 10.4.0-1
- Update to 10.4.0

* Wed Feb 08 2017 Haikel Guemar <hguemar@fedoraproject.org> 10.3.0-1
- Update to 10.3.0


